Clone a fact-find template Run in API Explorer
Ask AI
POST
/api/v2/fact-find/templates/{factFindTemplate_uuid}/clone
curl \
--request POST 'https://api.plannrcrm.com/api/v2/fact-find/templates/6ff8f7f6-1eb3-3525-be4a-3932c805afed/clone' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"name":"My Fact Find Template"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "My Fact Find Template"
}
Response examples (201)
{
"uuid": "810eedaf-7284-4ecb-8040-c141532faec2",
"created_at": "2026-08-28T07:35:00+01:00",
"updated_at": "2026-08-28T07:35:00+01:00",
"name": "My Fact-Find Template",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "c4fe5373-83bb-49a9-bb03-39c1dd7b71e3",
"created_at": "2026-08-28T07:35:00+01:00",
"updated_at": "2026-08-28T07:35:00+01:00",
"fact_find_template": {
"uuid": "f00823fc-8ec7-44de-91b7-7c4d72ae8bd2",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"name": "My Fact-Find Template",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"is_locked": false,
"active_session_count": 0
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "66e2bafd-bb39-4304-b19e-141289400be6",
"created_at": "2026-08-28T07:35:05+01:00",
"updated_at": "2026-08-28T07:35:05+01:00",
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}